Bug 1305682 - External monitor not detected unless xrandr is used.
External monitor not detected unless xrandr is used.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kscreen (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 16:39 EST by Enrique Meléndez
Modified: 2016-12-20 13:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:33:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrique Meléndez 2016-02-08 16:39:14 EST
Description of problem:
In a running laptop, with a session already opened, attaching an external monitor does not result in it being detected. I have to run xrandr to get it detected. Immediately after running xrandr, it shows up in the display configuration and receives input.

The external monitor is detected if the X server is started with the monitor already attached.

The 
Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Attach an external monitor to a running laptop; 
2. 
3. 

Actual results:

No output to the monitor, no additional monitor in the display confiuration section

Expected results:
 In former versions of Fedora-KDE, after attaching an external monitor, it was detected immediately and showed up in the display configuration. 

xrandr is needed.
Additional info:

Same behavior in two different laptops, (one nvidia running nouveau, the other an intel chipset)
Comment 1 Fedora End Of Life 2016-11-24 10:27:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:33:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.